diff --git a/changelog b/changelog
index 74bd7c2..430c68f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20071101 tpd src/interp/i-output.boot fix bugs 7010 (209), 7011
 20071019 acr src/interp/http.lisp use new return values
 20071019 acr src/algebra/axserver.spad use new return values
 20071014 acr src/algebra/axserver.spad use getContentType(pathvar)
diff --git a/src/interp/i-output.boot.pamphlet b/src/interp/i-output.boot.pamphlet
index b1066aa..af6ead2 100644
--- a/src/interp/i-output.boot.pamphlet
+++ b/src/interp/i-output.boot.pamphlet
@@ -1389,8 +1389,9 @@ output(expr,domain) ==
       mathprintWithNumber x
     if $texFormat     then texFormat x
     if $mathmlFormat  then mathmlFormat x
-  (FUNCTIONP(opOf domain)) and
-    (printfun := compiledLookup("<<",'(TextWriter TextWriter $), evalDomain domain))
+  (FUNCTIONP(opOf domain)) and (not (SYMBOLP(opOf domain))) and
+    (printfun := _
+      compiledLookup("<<",'(TextWriter TextWriter $), evalDomain domain))
        and (textwrit := compiledLookup("print", '($), TextWriter())) =>
      sayMSGNT [:bright '"AXIOM-XL",'"output:   "]
      SPADCALL(SPADCALL textwrit, expr, printfun)
